EasyEngine - 502 Bad Gateway NGINX


#1

Try a fresh install for the site and still getting the 502 bad gateway for inter808.com

I restarted NGINX and PHP-FPM.

Still 502 error.

In the error.logs I see: -login.php HTTP/1.1", upstream: “fastcgi://127.0.0.1:9000”, host: “inter808.com” 2015/01/25 23:09:55 [error] 2107#0: *1 connect() failed (111: Connection refused) while connecting to upstream, client: 212.54.145.41, server: inter808.com, request: “GET / HTTP/1.1”, upstream: “fastcgi://127.0.0.1:9000”, host: “inter808.com

  • I am so close!! Please advise.

Thanks, Anthony


#2

Anyone?


#3

Hi @rasolis , Look like your PHP5-FPM is not listening on 9000 port

Can you give me output of following command:

netstat -an | grep 9000
cat /etc/php5/fpm/conf.d/upstream.conf

#4

I re-deployed the server, re-installed easyengine.com and create the website inter808.com via ee commands.

Now I am getting this message:

E: Sub-process /usr/bin/dpkg returned an error code (1)
[ Mon Jan 26 19:46:06 HST 2015 ] Unable to install PHP5, exit status =  100
I'm exhausted. I am on CloudSigma, perhaps it is not compatible?

#5

there were errors prior to that one, here it is in it’s entirety:

chfn: PAM: Authentication token is no longer valid; new one required
adduser: `/usr/bin/chfn -f Memcached memcache' returned error code 1. Exiting.
dpkg: error processing package memcached (--configure):
 subprocess installed post-installation script returned error exit status 1
Setting up php5-geoip (1.1.0-2+deb.sury.org~trusty+1) ...
Setting up php5-memcache (3.0.8-5+deb.sury.org~trusty+1) ...
Setting up php5-xdebug (2.2.5-1+deb.sury.org~trusty+1) ...
php5_invoke: Enable module xdebug for fpm SAPI
php5_invoke: Enable module xdebug for cli SAPI
Processing triggers for libc-bin (2.19-0ubuntu6.5) ...
Processing triggers for ureadahead (0.100.0-16) ...
Processing triggers for php5-fpm (5.5.21+dfsg1-1+deb.sury.org~trusty+2) ...
php5-fpm stop/waiting
php5-fpm start/running, process 2224
Errors were encountered while processing:
 memcached
E: Sub-process /usr/bin/dpkg returned an error code (1)
[ Mon Jan 26 19:46:06 HST 2015 ] Unable to install PHP5, exit status =  100



#6

Hi @rasolis

It’s been a long time, and we haven’t heard from you. It looks like your issue is resolved.

EasyEngine has come a long way, please try the latest EasyEngine version, you can find it here.

I am closing this support topic for now. Feel free to create a new support topic if you have any queries further. :slight_smile:


#7